Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
TPOINT Struct Reference

`#include <blobs.h>`

List of all members.

## Public Member Functions

| TPOINT ()
| TPOINT (inT16 vx, inT16 vy)
| TPOINT (const ICOORD &ic)
void | operator+= (const TPOINT &other)
void | operator/= (int divisor)

## Public Attributes

inT16 | x
inT16 | y

## Detailed Description

Definition at line 53 of file blobs.h.

## Constructor & Destructor Documentation

TPOINT::TPOINT | ( |  | ) |

inline

Definition at line 54 of file blobs.h.

: x(0), y(0) {}

TPOINT::TPOINT | ( | inT16 | vx,
|  | inT16 | vy
| ) |  |

inline

Definition at line 55 of file blobs.h.

: x(vx), y(vy) {}

TPOINT::TPOINT | ( | const ICOORD & | ic | ) |

inline

Definition at line 56 of file blobs.h.

: x(ic.x()), y(ic.y()) {}

## Member Function Documentation

void TPOINT::operator+= | ( | const TPOINT & | other | ) |

inline

Definition at line 58 of file blobs.h.

{
x += other.x;
y += other.y;
}

void TPOINT::operator/= | ( | int | divisor | ) |

inline

Definition at line 62 of file blobs.h.

{
x /= divisor;
y /= divisor;
}

## Member Data Documentation

inT16 TPOINT::x

Definition at line 67 of file blobs.h.

inT16 TPOINT::y

Definition at line 68 of file blobs.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/blobs.h